Run of fresh-releases for sympy

Try this locally (using silver-platter):

debian-svp new-upstream sympy 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
[2021-04-24 12:21:59] Running ['new-upstream']
[2021-04-24 12:21:59] Opening branch at https://salsa.debian.org/science-team/sympy.git/,branch=master
[2021-04-24 12:22:03] Using cached branch https://janitor.debian.net/git/sympy/,branch=debian%2Flatest
[2021-04-24 12:22:57] Total 10777 (delta 0), reused 0 (delta 0), pack-reused 10777
[2021-04-24 12:23:04] Total 74 (delta 8), reused 8 (delta 8), pack-reused 66
[2021-04-24 12:23:08] Total 1050 (delta 726), reused 995 (delta 711), pack-reused 24
[2021-04-24 12:23:54] All changes applied successfully.
[2021-04-24 12:23:54] Workspace ready - starting.
[2021-04-24 12:23:57] http://sympy.org/ is permanently redirected to https://www.sympy.org/
[2021-04-24 12:24:04] http://sympy.org/ is permanently redirected to https://www.sympy.org/
[2021-04-24 12:24:07] Using upstream branch https://github.com/sympy/sympy.git (guessed)
[2021-04-24 12:37:27] Total 322952 (delta 1317), reused 1560 (delta 1185), pack-reused 321135
[2021-04-24 12:39:11] Using version string 1.8.
[2021-04-24 12:39:11] No upstream upstream-revision format specified, trying tag:1.7.1
[2021-04-24 12:39:11] No upstream upstream-revision format specified, trying tag:sympy-1.7.1
[2021-04-24 12:39:11] Not including upstream history, since previous upstream version (1.7.1) is not present in packaging branch history.
[2021-04-24 12:39:11] Using uscan to look for the upstream tarball.
uupdate: debian/source/format is "3.0 (quilt)".
uupdate: Auto-generating sympy_1.7.1-4.debian.tar.xz
uupdate: -> Copy to      sympy_1.8-1.debian.tar.xz
[2021-04-24 12:39:23] Searching for revision importing sympy version 1.7.1 on packaging branch, tag debian/1.7.1-2, tag debian/1.7.1-3, tag debian/1.7.1-1.
[2021-04-24 12:39:23] Upstream import of 1.7.1 lacks a tag. Set one by running: brz tag -rrevid:git-v1:fe809031a6d61310aeb24ee3fe01a6503e946113 upstream/1.7.1
[2021-04-24 12:39:51] Imported sympy_1.8.orig.tar.gz with pristine-tar.
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 1264, in make_changes
    result = merge_upstream(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 949, in merge_upstream
    conflicts, imported_revids = do_merge(
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 171, in do_merge
    return db.merge_upstream(
  File "/home/janitor/.config/breezy/plugins/debian/import_dsc.py", line 1346, in merge_upstream
    conflicts = self.tree.merge_from_branch(
  File "/home/janitor/debian-janitor/breezy/breezy/workingtree.py", line 681, in merge_from_branch
    conflicts = merger.do_merge()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 661, in do_merge
    merge = self._do_merge_to()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 630, in _do_merge_to
    merge.do_merge()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 765, in do_merge
    self._compute_transform()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 815, in _compute_transform
    self._finish_computing_transform()
  File "/home/janitor/debian-janitor/breezy/breezy/merge.py", line 823, in _finish_computing_transform
    fs_conflicts = transform.resolve_conflicts(
  File "/home/janitor/debian-janitor/breezy/breezy/transform.py", line 901, in resolve_conflicts
    raise MalformedTransform(conflicts=conflicts)
breezy.transform.MalformedTransform: Tree transform is malformed [('unversioned executability', 'new-461'), ('unversioned executability', 'new-499')]

Full worker log